What is PopMan?

PopMan is a POP3 manager, which can be used to list all emails lying on your incoming mail server (POP3 server) without having to load these emails completely. Unwanted emails can be deleted directly on the server.

You can use PopMan to check your email accounts in the background. When new emails arrive you will be notified.

In order to realize whether emails contain useful information or whether these emails are nothing but spam, PopMan provides a preview functionality, so you can read the text-based content of your emails - no matter if they contain plain text or HTML.

In contrast to most email programs, reading emails with PopMan is absolutly secure, because there is no threat of executing dangerous code or being infected with viruses.

Note: The source code of PopMan is available at the PopMan Website.


Why use PopMan?

PopMan offers you features, that are missing in most email programs:

  • List emails lying on the server
    See which emails reside on your incoming mail server and decide, whether they shall be downloaded to your computer or not.

  • Delete unwanted emails
    Unwanted emails (mass mailing, spam) can be deleted directly on the server, without having to download them at first.

  • Check email accounts in the background
    You can make PopMan run in the background checking your accounts at regular intervals. When new mail arrives you will be notified immediately.

  • Secure viewing of email messages
    You can examine the content of yor emails without careing about dangerous viruses, ActiveX controls or JavaScript code. HTML formatted messages are not interpreted or executed - simply the text containing information is extracted and displayed.

  • Selective downloading of emails
    You can download every email you choose, without depending upon other email programs.


What's new in this release?

New and improved features:

  • Check email accounts in the background
    You can make PopMan run in the background checking your accounts at regular intervals. When new mail arrives you will be notified immediately.

  • Preview pane
    Use the preview pane to quickly view a message without opening a separate window.

  • Link support
    In the messsage window, Internet and email addresses are displayed in blue color and underlined font. Clicking on them will start your browser and email software, respectivly.

  • Highlighting of unread messages
    Unread messages are displayed in bold font.

  • Customized account colors
    For each account, you can adjust the color which is used to display emails in the main window.
  • Reply to sender
    Easily create a reply message to the sender of a email.

  • Advanced error messages
    Error messages displayed in the right pane of the status bar include the response of the email server and a unique error number.
  • Logging
    You can use logging to record all data communication between PopMan and the email server. If an error occurs this communication can be saved to a file automatically.
  • Attachments
    In the message window and the preview pane you can see the attachments of your emails.
  • Import of OE accounts
    With the help of a wizard you can import your email accounts from Outlook Express.
  • Check for updates
    You can easily check if there is a new version of PoMan available.
  • Password optional
    When you create an email account the password is no longer required. If you don't enter the password, you will be asked for it on demand.
  • Saving of several emails
    Several emails can be saved at once (as *.txt or *.eml file).

  • Advanced account settings
    You can set different timeout values for each account and adjust the limit size for emails that are to be loaded completely.


Set up Accounts

Before you can start using PopMan, you have to set up your email accounts first. For that purpose, you can use the import wizard (Tools | Import accounts...), which provides a list of all Outlook Express email accounts found on your computer.

But you can also set up as many accounts as you like manually. To do so, select the menu command File | Accounts... or click the corresponding button on the toolbar.

The following dialog appears, which gives an overview of your accounts. There you can add, modify or remove accounts:

Click the Add button.

Another dialog appears, where you have to provide all necessary information:

Account name: How would you like to call this account? Example: "Work" or "Private".

POP3 server: The address of the incoming mail server of your email provider.

Port: The port number of the POP3 email service. Usually 110.

User name: The user name of you email account. Usually the same as your email address.

Password: The password belonging to your account (asterisks are displayed instead of letters!). If you don't enter the password here, you will be prompted for it whenever it is needed.

Include this account when receiving mail: Specifies whether this account is active or not.

Advanced options:

Use individual font color: Specifies the font color used to display emails of this account in the main window's listview.

Server Timeouts: Specifies how long to wait if the server does not respond.

Load big emails incompletely: Specifies whether emails, which are bigger than the limit size, are downloaded partially.

After providing all necessary information, press OK to return to the previous dialog. If you have got more than just one account, you can add them now. When you are ready, press the Close button.


List Emails

In the main window's menu choose File | Update or the corresponding button on the toolbar.

PopMan then connects to the POP3 server that you specified during account setup and starts loading emails (small emails are loaded completely, big emails are loaded partially).

In the left pane of the statusbar the current operation is displayed (Connecting, Login, Loading, ...). If something goes wrong (password denied, connection failure, ...), an appropriate error message is displayed in the rigth pane of the status bar:

If there is not enough space to display the entire error message, you can easily make it visible: Move the mouse cursor into the area and wait a short moment:

The emails are loaded one by one and are displayed in the main window's listview.


Open Emails

When the first email has been loaded, you can also view its content in the message window. To do so, double-click the email in the main window's listview or choose the menu command File | Open...

The message window appears, which is similar to the corresponding window of Outlook Express:

In the head of this window, some important information (Sender, To, Date and Subject) are displayed. In the right pane of the statusbar you can see the name of the account this message belongs to.

Be aware of the fact, that all formattings and pictures of HTML messages are not displayed! Just plain text is extracted from the messages. Attachments, which might be part of a message, won't be displayed either.


Delete unwanted Emails

When all emails have been loaded, you can delete one or more emails directly from the server. Select the emails, which you want to delete, in the main window's listview and press the Del keyboard button or choose the menu command File | Delete.

A message box appears, asking if you really want to delete the selected emails:

Confirm this security query by cklicking Yes or pressing the Enter keyboard button. Afterwards PopMan connects to the POP3 server containing the emails and deletes them.

Warning: The deletion of emails is permanent and irreversible!


Save Emails

You can download emails completely and save them into a file (*.eml or *.txt).

Select the email in the main window's listview and choose the menu command File | Save As... or the corresponding button on the toolbar. The "Save As..." dialog appears, where you have to specify directory and filename.

But you can also save several emails at once. In this case the following dialog appears, where you have to specify the destination folder, the save format and a template for the file names (a combination of Subject, Date, Time, To and From):

If the email(s) is not complete yet (because it is too big), it has to be downloaded now. A dialog is displayed providing information of the downloading progress:

Be aware of the fact, that you need an email program like Outlook Express to open emails saved in the Eml format (*.eml).


Main Window

Menu commands and toolbar buttons:

File menu

Button | Menu command | Description
 | Accounts... | Shows the accounts dialog.
 | Update | Updates the list of emails.
 | Cancel | Cancels current operation.
 | Open... | Shows the content of the email.
 | Source... | Shows the source code of the email.
 | Save As... | Saves the selected email into a file.
 | Reply to sender | Creates a reply message to the sender.
 | Delete | Deletes selected emails.
 | Exit | Quits PopMan.

View menu

Menu command | Description
Toolbar | Shows or hides the toolbar.
Statusbar | Shows or hides the statusbar.

Tools menu

Menu command | Description
Font... | Changes the font of the listview.
Font color... | Changes the font color of the listview.
Import accounts... | Imports email accounts from Outlook Express.
Options | Changes program settings.

Help menu

Menu command | Description
Help... | Shows this Help.
Check for updates | Checks if a new version is available.
About PopMan... | Displays program information, version number and copyright.


Message Window

Message window menu commands:

File menu

Menu command | Description
Save As... | Saves the email into a file.
Print... | Prints this email.
Reply to sender | Creates a reply message to the sender.
Close | Closes the message window.

Edit menu

Menu command | Description
Copy | Copys the selection and puts it on the clipboard.
Find... | Finds the specified text.
Find next | Finds the next occurence of the specified text.
Select all | Selects the entire email.

Tools menu

Menu command | Description
Font... | Changes the font.
Font color... | Changes the font color.


Keyboard Shortcuts

Main Window:

Press this | To do this
F5 | Update email listing
Ctrl+O | Open selected email
Ctrl+S | Save selected email to file
Ctrl+R | Reply to sender
Del | Delete selected email(s)

Message Window:

Press this | To do this
Ctrl+S | Save current email to file
Ctrl+R | Reply to sender
Ctrl+P | Print current email
Esc | Close message window
Ctrl+F | Find specified text
F3 | Find next occurence of the specified text
Ctrl+A | Selects the entire email
Ctrl+C | Copy selection and puts it on the clipboard


General

Use dial-up networking:

Specifies whether a dial-up connection is used to access the Internet or not.
Do not deactivate this option unless there are problems while establishing connections.

Check for new emails:

Specifies whether to check for new emails immediately after PopMan startup.

Launch PopMan:

Specifies whether to launch PopMan immediately after Windows startup.


Notification

Check for new emails at regular intervals:

Enables background checking for new emails: If PopMan is minimized, it will check your email accounts for new mail at regular intervals. "Time slice" allows you to specify this interval.

Acoustic notification:

Specifies whether an acoustic notification occurs when new mail arrives.
"Sound file" enables you to enter any WAV file that you want to hear in this case.

Show balloon tip:

Specifies whether a balloon tip will be displayed when new mail arrives (only available on Win ME, WinNT 5.0 or better!):


View

Display unread messages in bold font:

Specifies whether unread messages in the main window's listview will be displayed using bold font or not.
Messages will be displayed in normal font after they have been read.

Show preview pane:

Specifies whether a preview pane will be displayed below or beside the main window's listview or not.
Use the preview pane to quickly view a message without opening a separate window.


Logging

Enable logging:

Specifies whether to record all data communication between PopMan and the email server or not.

Reset log on program startup:

Specifies whether to reset the log file "PopManLogFile.log" when PopMan starts (to prevent the file from becoming to large).

Enable error logging:

Specifies whether to create error log files if a problem occurs while communicating with the email server.
This option is very helpful to correct possible malfunctions while listing, deleting or downloading emails.


Feedback

Feedback and Support

Web Site

For more information and late-breaking news, please visit the PopMan Web site at:

www.ch-software.de/popman

The source code of Popman is also available (see PopMan Website for more details).

Reporting Bugs

If you experience an uncaught exception, General Protection Fault (GPF), or something you believe is a bug, please send email to:

chuebner@ch-software.de

Please describe the problem in as much detail as possible. In your email message, please include the following information:

  • PopMan's version number
  • The operating system (Windows 95/98/NT/2000/ME/XP) and version (including service pack level)
  • Description of your problem (as much information as possible to retrieve the problem)
  • Steps needed to reproduce the bug
  • Computer information (CPU type and speed, amount of memory installed...)
Feature Requests

If you have got some ideas for improvements, please let us know what features you would like to see in the next release of PopMan. You can email feature requests to:

chuebner@ch-software.de


System Requirements

To run PopMan, you need:

  • Microsoft® Windows® 95/98/NT/ME/2000/XP

  • Internet Explorer 4.0 or better

  • Approximately 700 KB of free hard disk space


License

PopMan Copyright © 2002-2003 Christian Hübner
All rights reserved.

PopMan License:

You should carefully read the following terms and conditions before using this software. Your use or installation of this copy of PopMan indicates your acceptance of this License. If you do not agree to any of the terms of this License, then do not install or use this copy of PopMan.

  • All copyrights to PopMan are exclusively owned by the author.

  • You may not rent, lease, modify, reverse engineer, decompile, disassemble or create derivative works based on PopMan. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

  • This software, and all accompanying files are distributed AS IS and without warranties as to performance of merchantability or any other warranties whether expressed or implied. You use PopMan at your own risk. The author will not be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing PopMan.